<?php
/***** Active Plugin ********/
require_once( get_template_directory().'/lib/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'kingplace_register_required_plugins' );
function kingplace_register_required_plugins() {
    $plugins = array(		

       array(
        'name'               => esc_html__( 'Revslider', 'kingplace' ), 
        'slug'               => 'revslider',
        'source'             => get_template_directory_uri() . '/lib/plugins/revslider.zip', 
        'required'           => true, 
        'version'            => '6.3.3'
        ),
       array(
        'name'               => esc_html__( 'Visual Composer', 'kingplace' ), 
        'slug'               => 'js_composer', 
        'source'             => get_template_directory_uri() . '/lib/plugins/js_composer.zip',  
        'required'           => true, 
        'version'            => '6.4.2'
        ), 
       array(
        'name'     			 => esc_html__( 'SW Core', 'kingplace' ),
        'slug'      		 => 'sw_core',
        'source'         	 => get_template_directory_uri() . '/lib/plugins/sw_core.zip', 
        'required'  		 => true,   
        'version'			 => '1.0.3'
        ),
       array(
        'name'               => esc_html__( 'Sw Hotel', 'kingplace' ),
        'slug'               => 'sw-hotel',
        'source'             => get_template_directory_uri() . '/lib/plugins/sw-hotel.zip', 
        'required'           => true,   
        'version'            => '1.0.6'
        ),	
       array(
        'name'               => esc_html__( 'One Click Demo Import', 'kingplace' ), 
        'slug'               => 'one-click-demo-import', 
        'source'             => get_template_directory_uri() . '/lib/plugins/one-click-demo-import.zip', 
        'required'           => true, 
        ),

       array(
        'name'               => esc_html__( 'WP SMTP', 'kingplace' ),
        'slug'               => 'wp-smtp',
        'required'           => false,
        ),
       array(
        'name'               => esc_html__( 'Social Login WordPress Plugin - AccessPress Social Login Lite', 'kingplace' ),
        'slug'               => 'accesspress-social-login-lite',
        'required'           => false,
        ),
       array(
        'name'      		 => esc_html__( 'MailChimp for WordPress Lite', 'kingplace' ),
        'slug'     			 => 'mailchimp-for-wp',
        'required' 			 => false,
        ),
       array(
        'name'      		 => esc_html__( 'Contact Form 7', 'kingplace' ),
        'slug'     			 => 'contact-form-7',
        'required' 			 => false,
        ),
       array(
        'name'     			 => esc_html__( 'WordPress Seo', 'kingplace' ),
        'slug'      		 => 'wordpress-seo',
        'required'  		 => false,
        ),

       );

$config = array();

tgmpa( $plugins, $config );

}
add_action( 'vc_before_init', 'kingplace_vcSetAsTheme' );
function kingplace_vcSetAsTheme() {
    vc_set_as_theme();
}