<?php get_header(); ?>
<?php 
	$kingplace_sidebar_template	= get_post_meta( get_the_ID(), 'page_sidebar_layout', true );
	$kingplace_sidebar 			= get_post_meta( get_the_ID(), 'page_sidebar_template', true );
?>

	<?php kingplace_breadcrumb_title(); ?>
	<div class="container">
		<div class="row">
		<?php 
			if ( is_active_sidebar( $kingplace_sidebar ) && $kingplace_sidebar_template != 'right' && $kingplace_sidebar_template !='full' ):
			$kingplace_left_span_class = 'col-lg-'.sw_options('sidebar_left_expand');
			$kingplace_left_span_class .= ' col-md-'.sw_options('sidebar_left_expand_md');
			$kingplace_left_span_class .= ' col-sm-'.sw_options('sidebar_left_expand_sm');
		?>
			<aside id="left" class="sidebar <?php echo esc_attr( $kingplace_left_span_class ); ?>">
				<?php dynamic_sidebar( $kingplace_sidebar ); ?>
			</aside>
		<?php endif; ?>
		
			<div id="contents" role="main" class="main-page <?php kingplace_content_page(); ?>">
				<?php
				get_template_part('templates/content', 'page')
				?>
			</div>
			<?php 
			if ( is_active_sidebar( $kingplace_sidebar ) && $kingplace_sidebar_template != 'left' && $kingplace_sidebar_template !='full' ):
				$kingplace_left_span_class = 'col-lg-'.sw_options('sidebar_left_expand');
				$kingplace_left_span_class .= ' col-md-'.sw_options('sidebar_left_expand_md');
				$kingplace_left_span_class .= ' col-sm-'.sw_options('sidebar_left_expand_sm');
			?>
				<aside id="right" class="sidebar <?php echo esc_attr($kingplace_left_span_class); ?>">
					<?php dynamic_sidebar( $kingplace_sidebar ); ?>
				</aside>
			<?php endif; ?>
		</div>		
	</div>
<?php get_footer(); ?>

