<?php get_template_part('header'); ?>
<?php kingplace_breadcrumb_title(); ?>
<div class="container">
	<div class="sidebar-row">	
		<div class="category-event">
			<div class="listing-title">			
				<h1><span><?php kingplace_title(); ?></span></h1>				
			</div>
			<!-- No Result -->
			<?php if( have_posts() ) : ?>
				<div class="blog-column">
					<?php while( have_posts() ) : the_post(); global $post; ?>
						<div id="post-<?php the_ID();?>" <?php post_class(); ?>>
							<div class="entry clearfix">
								<div class="entry-thumb">	
									<?php if ( has_post_thumbnail() ){ ?>
									<a class="entry-hover" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
										<?php the_post_thumbnail( 'large' ); ?>			
									</a>
									<?php } ?>
								</div>	
								<div class="entry-content">				
									<div class="content-top clearfix">
										<div class="entry-title">
											<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
										</div>
										<div class="entry-meta">
											<span class="entry-comment">
												<a href="<?php comments_link(); ?>"><i class="fa fa-comments"></i><?php echo $post-> comment_count .  ( ($post-> comment_count) > 1 ? esc_html__(' Comment(s)', 'kingplace') : esc_html__(' Comment(s)', 'kingplace')); ?></a>
											</span>
										</div>
										<div class="entry-summary">
											<?php 												
											if ( preg_match('/<!--more(.*?)?-->/', $post->post_content, $matches) ) {
												$content = explode($matches[0], $post->post_content, 2);
												$content = $content[0];
												$content = wp_trim_words($post->post_content, 25, '...');
												echo $content;	
											} else {
												the_content('...');
											}		
											?>	
										</div>
									</div>
								</div>
							</div>
						</div>
					<?php endwhile; ?>
					<?php echo paginate_links(); ?>
				</div>
			<?php endif; ?>
			<div class="clearfix"></div>
		</div>
	</div>
</div>
<?php get_template_part('footer'); ?>