<?php 	
$kingplace_page_footer   	 = ( get_post_meta( get_the_ID(), 'page_footer_style', true ) != '' ) ? get_post_meta( get_the_ID(), 'page_footer_style', true ) : sw_options( 'footer_style' );
$kingplace_copyright_text 	 = sw_options( 'footer_copyright' );
$kingplace_copyright_footer = get_post_meta( get_the_ID(), 'copyright_footer_style', true );
$kingplace_copyright_footer  = ( get_post_meta( get_the_ID(), 'copyright_footer_style', true ) != '' ) ? get_post_meta( get_the_ID(), 'copyright_footer_style', true ) : sw_options('copyright_style');
?>

<footer id="footer" class="footer default theme-clearfix">
	<!-- Content footer -->
	<div class="container">
		<?php 
		if( $kingplace_page_footer != '' ) :
			echo sw_get_the_content_by_id( $kingplace_page_footer ); 
		endif;
		?>
	</div>
	<div class="footer-copyright <?php echo esc_attr( $kingplace_copyright_footer ); ?>">
		<div class="container">
			<?php if (is_active_sidebar('footer-copyright')){ ?>
			<div class="sidebar-copyright">
				<?php dynamic_sidebar('footer-copyright'); ?>
			</div>
			<?php } ?>
			<div class="copyright-text">
				<?php if( $kingplace_copyright_text == '' ) : ?>
					<p>&copy;<?php echo date('Y') .' '. esc_html__('WordPress Theme SW Kingplace. All Rights Reserved. Designed by ','kingplace'); ?><a class="mysite" href="<?php echo esc_url( 'http://wpthemego.com/' ); ?>"><?php esc_html_e('WPThemeGo.Com','kingplace');?></a>.</p>
				<?php else : ?>
					<?php echo wp_kses( $kingplace_copyright_text, array( 'a' => array( 'href' => array(), 'title' => array(), 'class' => array() ), 'p' => array()  ) ) ; ?>
				<?php endif; ?>
			</div>
			<?php if (is_active_sidebar('footer-copyright2')){ ?>
			<div class="sidebar-copyright2">
				<?php dynamic_sidebar('footer-copyright2'); ?>
			</div>
			<?php } ?>
		</div>
	</div>
</footer>