<?php

/**
 * Add Theme Options page.
 */
function kingplace_theme_admin_page(){
	add_theme_page(
		esc_html__('Theme Options', 'kingplace'),
		esc_html__('Theme Options', 'kingplace'),
		'manage_options',
		'kingplace_theme_options',
		'kingplace_theme_admin_page_content'
	);
}
add_action('admin_menu', 'kingplace_theme_admin_page', 49);

function kingplace_theme_admin_page_content(){ ?>
	<div class="wrap">
		<h2><?php esc_html_e( 'Kingplace Advanced Options Page', 'kingplace' ); ?></h2>
		<?php do_action( 'kingplace_theme_admin_content' ); ?>
	</div>
<?php
}